- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# unmappage.c File Reference

`#include <vmm/vmm.h>`

Include dependency graph for unmappage.c:

Go to the source code of this file.

## Functions
void | vmmUnmapPage (uInt32 pageAddr, int flags)
void | vmmUnmapPages (void *ptr, uInt32 size)

## Function Documentation

void vmmUnmapPage | ( | uInt32 | pageAddr,
|  | int | flags |
| ) |  |  |

Definition at line 50 of file unmappage.c.

References tablesBaseAddress, and x1000.

Referenced by vmm_pageFault(), vmmCopyVirtualSpace(), vmmCreateVirtualSpace(), and vmmMapFromTask().

void vmmUnmapPages | ( | void * | ptr,
|  | uInt32 | size |
| ) |  |  |

Definition at line 101 of file unmappage.c.

References tablesBaseAddress.